org.apache.solr.search

## Class QueryResult

- java.lang.Object
- - org.apache.solr.search.QueryResult

-     public class QueryResult
      extends Object

  The result of a search.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Object` | `groupedResults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocList` | `getDocList()`
    `DocListAndSet` | `getDocListAndSet()`
    `DocSet` | `getDocSet()`
    `CursorMark` | `getNextCursorMark()`
    `Boolean` | `getSegmentTerminatedEarly()`
    `boolean` | `isPartialResults()`
    `void` | `setDocList(DocList list)`
    `void` | `setDocListAndSet(DocListAndSet listSet)`
    `void` | `setDocSet(DocSet set)`
    `void` | `setNextCursorMark(CursorMark next)`
    `void` | `setPartialResults(boolean partialResults)`
    `void` | `setSegmentTerminatedEarly(Boolean segmentTerminatedEarly)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### groupedResults

          public Object groupedResults

  - ### Constructor Detail

    - #### QueryResult

          public QueryResult()

  - ### Method Detail

    - #### getDocList

          public DocList getDocList()

    - #### setDocList

          public void setDocList(DocList list)

    - #### getDocSet

          public DocSet getDocSet()

    - #### setDocSet

          public void setDocSet(DocSet set)

    - #### isPartialResults

          public boolean isPartialResults()

    - #### setPartialResults

          public void setPartialResults(boolean partialResults)

    - #### getSegmentTerminatedEarly

          public Boolean getSegmentTerminatedEarly()

    - #### setSegmentTerminatedEarly

          public void setSegmentTerminatedEarly(Boolean segmentTerminatedEarly)

    - #### setDocListAndSet

          public void setDocListAndSet(DocListAndSet listSet)

    - #### getDocListAndSet

          public DocListAndSet getDocListAndSet()

    - #### setNextCursorMark

          public void setNextCursorMark(CursorMark next)

    - #### getNextCursorMark

          public CursorMark getNextCursorMark()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.